
//** Modified-Light version of Mesh_object_loader for TP**// 

#ifndef   	MESH_OBJECT_LOADER_H_
# define   	MESH_OBJECT_LOADER_H_



#include <stdlib.h>
#include <time.h>
#include <iostream>
#include <cmath>
#include <string>
#include <errno.h>
#include <stdio.h>

#include <Mesh_object.h>


/// An helper class to load stuff into the Mesh_object
class Mesh_object_loader
{

public:

  
  //*********************************************//
  // CONSTRUCTORS
  //*********************************************//
  
  /// Classical constructor
  Mesh_object_loader();
  /// Classical destructor
  ~Mesh_object_loader();

  /// Load the texture of an obj mesh
  int load_obj_texture(const std::string& filename,Mesh_object* mesh) const;
  /// Load the texture of an obj mesh
  int load_obj_texture(const char* filename,Mesh_object* mesh) const;

  /// load color coff (one color per vertex)
  static int load_color_per_vertex_coff(const std::string& filename,Mesh_object* mesh);
  /// load color coff (one color per vertex)
  static int load_color_per_vertex_coff(const char* filename,Mesh_object* mesh);



private:
  
};




#endif 	    /* !MESH_OBJECT_LOADER_H_ */
