//** Modified-Light version of double_vector for TP**// 


#ifndef   	DOUBLE_VECTOR_H_
# define   	DOUBLE_VECTOR_H_


#include <stdlib.h>
#include <iostream>
#include <cmath>
#include <string>
#include <errno.h>
#include <stdio.h>

#include <vector>
using namespace std;

/// Container class for a vector of double
/** Mainly use to set a vector of double_vector for multiple purpose */

class double_vector
{
 public:
  double_vector();
  double_vector(const double_vector&);
  ~double_vector();

  int size() const;
  int resize(int _size);

  double &operator[](int k_vertex);
  double operator[](int k_vertex) const;
  double_vector& operator=(const double_vector&);

  int add(double value);
  int add(std::vector <double>& _int_list);


  /// test equality
  friend bool operator==(const double_vector& cont_1,const double_vector& cont_2);
  /// test equality
  friend bool operator!=(const double_vector& cont_1,const double_vector& cont_2);


 private:
  
  std::vector <double> double_list;
};


#endif 	    /* !DOUBLE_VECTOR_H_ */
